package org.bookstore.order.dto;

import jakarta.validation.Valid;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import java.util.List;

public record PurchaseOrder(long customerId, @NotNull @Size(min = 1) @Valid List<PurchaseOrderItem> items) {
}
