package org.bookstore.order.dto;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Pattern;

public record PurchaseOrderItem(@NotNull @Pattern(regexp = "\\d{9}(\\d|X)") String isbn, @Min(1) int quantity) {
}
