package org.bookstore.order.dto;

import org.bookstore.customer.dto.CustomerInfo;
import org.bookstore.customer.entity.Address;
import org.bookstore.customer.entity.CreditCard;
import org.bookstore.order.entity.OrderStatus;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

public record SalesOrder(long id, LocalDateTime date, BigDecimal amount, OrderStatus status,
						 CustomerInfo customer, Address address, CreditCard creditCard, List<SalesOrderItem> items) {
}
